<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:c="http://java.sun.com/jsp/jstl/core">
    <h:body>
        <div class="container">
            <h2>#{msgs.editUserInfo}</h2>
            <div class="row">
                <div class="col-xs-12 col-xs-updated">
                    <h:form styleClass="form-horizontal">
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.id}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText value="#{userBean.user.id}" a:readonly="true" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.title}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:selectOneMenu styleClass="form-control" value="#{userBean.user.title}">
                                    <f:selectItem itemLabel="Mr" itemValue="Mr"/>
                                    <f:selectItem itemLabel="Miss" itemValue="Miss" />
                                    <f:selectItem itemLabel="Mrs" itemValue="Mrs" />
                                    <f:selectItem itemLabel="Ms" itemValue="Ms" />
                                    <f:selectItem itemLabel="Dr" itemValue="Dr" />
                                    <f:selectItem itemLabel="Rev" itemValue="Rev" />
                                    <f:selectItem itemLabel="Honorable" itemValue="Honorable" />
                                </h:selectOneMenu>
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.firstName}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText value="#{userBean.user.firstName}" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.lastName}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText value="#{userBean.user.lastName}" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.companyName}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText value="#{userBean.user.companyName}" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.email}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText value="#{userBean.user.email}" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.phoneNumber}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText value="#{userBean.user.cellphone}" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.homeTelephoe}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText value="#{userBean.user.homeTelephoe}" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.address1}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText value="#{userBean.user.address1}" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.address2}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText value="#{userBean.user.address2}" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.postalCode}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText value="#{userBean.user.postalCode}" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.city}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText value="#{userBean.user.city}" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.province}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText value="#{userBean.user.provinceName.name}" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-offset-2 col-sm-10">
                                <h:commandButton 
                                    action="#{userBean.editUserInfo()}"
                                    value="#{msgs.edit}"
                                    styleClass="btn btn-primary" />
                            </div>
                        </div>
                    </h:form>
                </div>
            </div>
        </div>

    </h:body>
</html>